#ifndef clock_h
#define clock_h

#include "types.h"

#define TA_INTERVAL     (TA_CLK * xADC_INT_TIME)        // SMCLK ticks per TA interval
#define TB_INTERVAL     ACLK_FREQ                       // ACLK tics for 1-sec timing (TimerB)

void ClockInit (void);                      // initialize clock sources, MCLK & SMCLK = 10.00MHz, ACLK = 32.768KHz
void TimerA_Init (void);                    // initialize Timer A
void TimerB_Init (void);                    // initialize Timer B

#endif
