#ifndef led_h
#define led_h

#include "types.h"

#define RED     1                   // LED colors
#define GREEN   2
#define BLUE    4
#define ALL     7
#define NONE    0

// P5.1 = front-panel LED
#define FPLED_POUT      P5OUT
#define FPLED           0x02

void SetLED (int color, int state);                 // turn LED(s) on(off)
void SetAllLEDs (int leds_on, int leds_off);        // set state for all LEDs at one time
bool Set_LEDintensity (float percent);              // set LED intensity (PWM) ouput
float Get_LEDintensity (void);                      // read LED intensity
void SetFpLED (int state);                          // set front-panel LED on/off

#endif
