#ifndef __temperature_h__
#define __temperature_h__

#include "globals.h"

typedef struct {
    float inv_ref_temp;                     // inverse of reference temperature
    float inv_ref_res;                      // inverse of reference resistance
    float inv_sens;                         // inverse of sensitivity;   
} ThermChar;

float CalThermTemp (float res, float* cal);
float ThermTemp (float res, float inv_ref_temp, float inv_ref_res, float inv_sens);
void InitTaCoeff (float tc[]);
void InitTuCoeff (float tc[]);
void InitTpCoeff (ThermChar* thc);

#endif
